#
# Makefile generated by MKF configure script
#

all: _Generic/RegisterFile/RegisterFile_Monolithic/SelfTest _Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest _Generic/Select/Select_Priority_Fixed/SelfTest _Generic/RegisterFile/RegisterFile_Monolithic/SelfTest _Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/SelfTest

_Generic/RegisterFile/RegisterFile_Monolithic/SelfTest:
	make all -C Generic/RegisterFile/RegisterFile_Monolithic/SelfTest

_Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest:
	make all -C Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest

_Generic/Select/Select_Priority_Fixed/SelfTest:
	make all -C Generic/Select/Select_Priority_Fixed/SelfTest

_Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/SelfTest:
	make all -C Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/SelfTest

clean:
	make clean -C Generic/RegisterFile/RegisterFile_Monolithic/SelfTest
	make clean -C Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest
	make clean -C Generic/Select/Select_Priority_Fixed/SelfTest
	make clean -C Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/SelfTest

re: clean all

install:
	make install -C Generic/RegisterFile/RegisterFile_Monolithic/SelfTest
	make install -C Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest
	make install -C Generic/Select/Select_Priority_Fixed/SelfTest
	make install -C Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/SelfTest

